package org.dromara.common.core.domain;



import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import org.dromara.common.core.domain.model.BaseAudit;

import java.sql.Wrapper;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

@Data
public  class BaseBO <T> {

    private Integer current=1;

    private Integer size=10;

    protected LocalDateTime beginTime;

    protected LocalDateTime endTime;

    /**
     * bo转换成queryWrapper
     *
     * @return
     */
    public LambdaQueryWrapper<T> toWrapper() {
        return new LambdaQueryWrapper<T>();
    }

    public Page<T> getPage() {
        return new Page<>(current, size);
    }
}
